%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           conduit
Version:        0.3.1
Release:        2%{?dist}
Summary:        A synchronization solution for GNOME

Group:          Applications/Productivity
License:        GPL
URL:            http://www.conduit-project.org/
Source0:        http://files.conduit-project.org/releases/%{name}-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, pkgconfig, dbus-devel >= 0.93, desktop-file-utils
BuildRequires:  gtk2-devel >= 2.10, pygtk2-devel >= 2.10
BuildRequires:  python-vobject, pygoocanvas
BuildRequires:  perl(XML::Parser)

Requires:       pygoocanvas, python-vobject, python-sqlite
Requires:       dbus >= 0.93

# python < 2.5 requires python-elementree
%{?fc6: Requires: python-elementtree}

%description
Conduit is a synchronization solution for GNOME which allows the user to take
their emails, files, bookmarks, and any other type of personal information and
synchronize that data with another computer, an online service, or even another
electronic device.

Conduit manages the synchronization and conversion of data into other formats.
For example, conduit allows you to;

 * Synchronize your tomboy notes to a file on a remote computer
 * Synchronize your emails to your mobile phone
 * Synchronize your bookmarks to delicious, gmail, or even your own webserver
 * and many more... 

Any combination you can imagine, Conduit will take care of the conversion and
synchronization. 

%prep
%setup -q -n conduit-%{version}

# fix eol encoding in a couple of files
sed -i 's/\r//' NEWS TODO

# get rid of any shebangs
find conduit/dataproviders -type f | xargs 
for file in `find conduit/dataproviders -type f -print`; do
  sed -i '/#!/d' $file
done

# dataprovider files install to the wrong directory - fix that
find conduit/dataproviders -type f -name Makefile.in | \
  xargs sed -i 's/\$(libdir)/$(pythondir)/'
sed -i 's/@PKGLIBDIR@/@PYTHONDIR@\/conduit/' conduit/start_conduit.py

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original --vendor="fedora"   \
  --remove-category Application                            \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications           \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# we don't need the pkgconfig file
rm -f $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/%{name}.pc
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{python_sitelib}/%{name}
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/*Conduit*
%{_datadir}/pixmaps/%{name}-icon.png


%changelog
* Mon Jun 11 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.1-2
- remove Application from desktop file category

* Fri Jun 08 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.1-1
- v 0.3.1
- use disttag macros to require python-elementtree when required
- tidy summary to be easier to read
- remove icon substitution, no longer needed
- remove fixup of Categories in .desktop file

* Thu May 24 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-3
- change source0 url to use %%name and %%version macros

* Sun May 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-2
- change gmail icon from internet-mail (tango icon) to email (bluecurve icon)
  so it will display

* Sun May 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-1
- initial release
